com.ihr.xbrl.om.table

## Interface HasParentChildAttribute

- All Known Implementing Classes:
    XBRLAspectNode, XBRLBreakdown, XBRLClosedDefinitionNode, XBRLConceptRelationshipNode, XBRLDefinitionNode, XBRLDimensionRelationshipNode, XBRLOpenDefinitionNode, XBRLRelationshipNode, XBRLRuleNode, XBRLTable

      public interface HasParentChildAttribute

  Tables and Breakdown may have a parentChildOrder attribute. This interface defines methods to standardize accessing to that information
  Author:
    Ignacio

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `HasParentChildAttribute.ParentChildEnum` Contains all possibilities defined in the specification.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.xml.namespace.QName` | `parentChilOrder` This is the "parentChildOrder" attribute name as a QName.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HasParentChildAttribute.ParentChildEnum` | `getParentChildOrder()` Returns the value of the parentChildOrder attribute as one value of the ParentChildEnum enumeration.
    `boolean` | `isParentChildOrderDefined()` Returns true when the resource contains an attribute with explicit definition of the parentChildOrder.

- - ### Field Detail

    - #### parentChilOrder

          static final javax.xml.namespace.QName parentChilOrder

      This is the "parentChildOrder" attribute name as a QName.

  - ### Method Detail

    - #### isParentChildOrderDefined

          boolean isParentChildOrderDefined()

      Returns true when the resource contains an attribute with explicit definition of the parentChildOrder.
      Returns:
        true when getParentChildOrder() will not return UNDEFINED

    - #### getParentChildOrder

          HasParentChildAttribute.ParentChildEnum getParentChildOrder()

      Returns the value of the parentChildOrder attribute as one value of the ParentChildEnum enumeration.
      Returns:
        one of the values in the ParentChildEnum enumeration